Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXMLSPIParserProvider

java.lang.Object
com.io7m.coffeepick.runtime.format.xml.FormatXMLSPIParserProvider

All Implemented Interfaces:
  `SPIParserProviderType`

    public final class FormatXMLSPIParserProvider
    extends java.lang.Object
    implements SPIParserProviderType

An XML format provider.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormatXMLSPIParserProvider()` | Construct a provider.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `SPIParserType` | `parserCreate​(SPIParserRequest request)` |
  `FormatDescription` | `parserFormatSupported()` |
  `java.util.SortedSet<FormatVersion>` | `parserFormatVersionsSupported()` |
  `java.lang.String` | `parserName()` |
  `SPIProbeResultType` | `probe​(SPIParserRequest request)` | Try to probe the format of the given request.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormatXMLSPIParserProvider

    public FormatXMLSPIParserProvider()
    Construct a provider.

- ## Method Details

  - ### parserFormatSupported

    public FormatDescription parserFormatSupported()
    Specified by:
      `parserFormatSupported` in interface `SPIParserProviderType`
    Returns:
      The format that this provider supports

  - ### parserFormatVersionsSupported

    public java.util.SortedSet<FormatVersion> parserFormatVersionsSupported()
    Specified by:
      `parserFormatVersionsSupported` in interface `SPIParserProviderType`
    Returns:
      The supported versions of the format

  - ### parserName

    public java.lang.String parserName()
    Specified by:
      `parserName` in interface `SPIParserProviderType`
    Returns:
      The name of this provider

  - ### probe

    public SPIProbeResultType probe​(SPIParserRequest request) throws java.io.IOException
    Description copied from interface: `SPIParserProviderType`
    Try to probe the format of the given request.
    Specified by:
      `probe` in interface `SPIParserProviderType`
    Parameters:
      `request` - The request
    Returns:
      The result of probing
    Throws:
      `java.io.IOException` - On I/O errors

  - ### parserCreate

    public SPIParserType parserCreate​(SPIParserRequest request) throws java.io.IOException
    Specified by:
      `parserCreate` in interface `SPIParserProviderType`
    Parameters:
      `request` - The parser request
    Returns:
      A new parser for the format
    Throws:
      `java.io.IOException` - On I/O or parser configuration errors